List review comments
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/reviews/{review_id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/reviews/{review_id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/reviews/{review_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "ReviewComment",
"items": [
{
"id": "<string>",
"review_id": "<string>",
"thread_id": "<string>",
"author": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>"
},
"content": "<string>",
"created_at": 123,
"updated_at": 123,
"file_path": "<string>",
"start_line": 123,
"end_line": 123
}
]
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Reviews
List review comments
List all comments associated with a review
GET
/
repos
/
{repo_id}
/
reviews
/
{review_id}
/
comments
List review comments
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Review ID
Maximum string length:
128⌘I

